TS_CLOSE_RESTRICTED(3)

NAME
ts_close_restricted - use a custom function for closing the touchscreen's input device file

SYNOPSIS
#include <tslib.h>

void (*ts_close_restricted)(int fd, void *user_data);

DESCRIPTION
ts_close_restricted() is useful if libts should not be run as root. If such a function is implemented by the user and assigned to the ts_close_restricted pointer, it will be called by ts_close() instead of the close() system call directly. It should obviously close the device with file descriptor fd while user_data is currently unused.

SEE ALSO
ts_open_restricted(3), ts_open(3), ts_setup(3), ts_close(3), ts.conf(5)